Bug 807761 - SRPM does not build successfully in mock environment.
SRPM does not build successfully in mock environment.
Status: CLOSED CURRENTRELEASE
Product: oVirt
Classification: Community
Component: ovirt-engine-core (Show other bugs)
unspecified
Unspecified Unspecified
unspecified Severity unspecified
: ---
: 3.1
Assigned To: Stephen Gordon
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-28 11:56 EDT by Stephen Gordon
Modified: 2012-08-09 03:58 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-09 03:58:33 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Mock build output. (4.45 KB, text/x-log)
2012-03-28 11:56 EDT, Stephen Gordon
no flags Details

  None (edit)
Description Stephen Gordon 2012-03-28 11:56:25 EDT
Created attachment 573388 [details]
Mock build output.

Description of problem:

Downloaded the ovirt-engine SRPM and attempted to build for F17 using mock, received error which appears to relate to missing BuildRequires.

1. Downloaded ovirt-engine-3.0.0_0001-1.6.fc16.src.rpm

2. Ran `mock -r fedora-17-x86_64 --rebuild ovirt-engine-3.0.0_0001-1.6.fc16.src.rpm


Actual Results:

Got this output, more interesting is the build.log which is attached:

[sgordon@zugzug tmp]$ mock -r fedora-17-x86_64 --rebuild ovirt-engine-3.0.0_0001-1.6.fc16.src.rpm
INFO: mock.py version 1.1.21 starting...
State Changed: init plugins
INFO: selinux enabled
State Changed: start
INFO: Start(ovirt-engine-3.0.0_0001-1.6.fc16.src.rpm)  Config(fedora-17-x86_64)
State Changed: lock buildroot
State Changed: clean
INFO: chroot (/var/lib/mock/fedora-17-x86_64) unlocked and deleted
State Changed: unlock buildroot
State Changed: init
State Changed: lock buildroot
Mock Version: 1.1.21
INFO: Mock Version: 1.1.21
INFO: calling preinit hooks
INFO: enabled root cache
State Changed: unpacking root cache
INFO: enabled yum cache
State Changed: cleaning yum metadata
INFO: enabled ccache
State Changed: running yum
State Changed: unlock buildroot
INFO: Installed packages:
State Changed: setup
State Changed: build
ERROR: Exception(ovirt-engine-3.0.0_0001-1.6.fc16.src.rpm) Config(fedora-17-x86_64) 3 minutes 30 seconds
INFO: Results and/or logs in: /var/lib/mock/fedora-17-x86_64/result
ERROR: Command failed. See logs for output.
 # ['bash', '--login', '-c', 'rpmbuild -bb --target x86_64 --nodeps builddir/build/SPECS/ovirt-engine.spec']

Expected Results:

Successful build in mock environment. I suspect we need this to work anyway for the packages to be acceptable to Fedora and also to provide specs/sources which are useful references for people packaging for other distributions.
Comment 1 Stephen Gordon 2012-03-28 12:13:44 EDT
Looking at the spec we set BuildRequires on the maven2 package, on F17 (and F16 for that matter) this package provides the binary mvn2 not mvn which is what the build step is looking to use. 

As of Fedora 15 Maven 3 is packaged as maven and includes the mvn binary, so I think the BuildRequires just needs to be changed from:

BuildRequires: maven2

To:

BuildRequires: maven

More information is here:

http://fedoraproject.org/wiki/Packaging:Java#maven3
Comment 2 Stephen Gordon 2012-04-04 11:00:52 EDT
http://gerrit.ovirt.org/3337
Comment 3 Itamar Heim 2012-08-09 03:58:33 EDT
closing ON_QA bugs as oVirt 3.1 was released:
http://www.ovirt.org/get-ovirt/

Note You need to log in before you can comment on or make changes to this bug.